Bug 1121791 - Provide documentation of batch-limit and other pacemaker properties in man page or pcs help
Summary: Provide documentation of batch-limit and other pacemaker properties in man pa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs
Version: 7.2
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Tomas Jelinek
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 21:30 UTC by Chris Feist
Modified: 2015-11-19 09:32 UTC (History)
4 users (show)

Fixed In Version: pcs-0.9.140-1.el7
Doc Type: Bug Fix
Doc Text:
Cause: Description of cluster properties is missing in pcs help and man page. Consequence: User is not able to get description of the properties without other help. Fix: Pcs help and man page tell user where the description can be obtained. Result: User is able to get the description based on pcs help or man page.
Clone Of:
Environment:
Last Closed: 2015-11-19 09:32:30 UTC


Attachments (Terms of Use)
proposed fix (3.47 KB, patch)
2015-05-05 12:37 UTC, Tomas Jelinek
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2290 normal SHIPPED_LIVE Moderate: pcs security, bug fix, and enhancement update 2015-11-19 09:43:53 UTC

Description Chris Feist 2014-07-21 21:30:06 UTC
Description of problem:
When onsite without access to the official Red Hat docs, there is no way to determine what the pacemaker properties are for.  We should have them documented in the pcs man page, help text or pcs property output.

Comment 1 Chris Feist 2014-07-21 21:42:26 UTC
One note, this information is in the pengine man page.  So it might make sense to just put a note to that effect in the pcs man page/usage text.

Comment 3 Tomas Jelinek 2015-05-05 12:37:45 UTC
Created attachment 1022169 [details]
proposed fix

test:
"Run 'man pengine' and 'man crmd' to get a description of the properties." in pcs help and man page.

Comment 4 Tomas Jelinek 2015-06-04 14:18:58 UTC
Before Fix:
[root@rh71-node1 ~]# rpm -q pcs
pcs-0.9.137-13.el7_1.2.x86_64
[root@rh71-node1:~]# man pcs | grep pengine
[root@rh71-node1:~]# pcs property help | grep pengine



After Fix:
[root@rh71-node1:~]# rpm -q pcs
pcs-0.9.140-1.el6.x86_64
[root@rh71-node1:~]# man pcs | grep pengine
              pengine' and 'man crmd' to get a description of the properties.
              set on the specified node.  Run 'man pengine' and 'man crmd' to get a description of the properties.
              Remove property from configuration (or remove attribute from specified node if --node is used).  Run 'man pengine' and 'man crmd' to get a description of the properties.
[root@rh71-node1:~]# pcs property help | grep pengine
        Run 'man pengine' and 'man crmd' to get a description of the properties.
        Run 'man pengine' and 'man crmd' to get a description of the properties.
        Run 'man pengine' and 'man crmd' to get a description of the properties.

Comment 8 errata-xmlrpc 2015-11-19 09:32:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2290.html


Note You need to log in before you can comment on or make changes to this bug.